### Function

# Pango attr_overline_new

since: 1.46

#### Declaration [src]

    PangoAttribute*
    pango_attr_overline_new (
      PangoOverline overline
    )

#### Description [src]

Create a new overline-style attribute.

Available since: 1.46

#### Parameters

`overline`

  Type: `PangoOverline`

  The overline style.

#### Return value

Type: `PangoAttribute`

The newly allocated `PangoAttribute`, which should be freed with `pango_attribute_destroy()`.

The caller of the function takes ownership of the data, and is responsible for freeing it.